Bug 248866 - astro/gpsbabel: update to 1.7.0
Summary: astro/gpsbabel: update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Loïc Bartoletti
URL:
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2020-08-24 04:46 UTC by Harry Matthiesen Jensen
Modified: 2020-10-10 07:16 UTC (History)
3 users (show)

See Also:
dev2: maintainer-feedback+


Attachments
Proposed patch (4.53 KB, patch)
2020-09-13 01:22 UTC, Oliver Heesakkers
dev2: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Harry Matthiesen Jensen 2020-08-24 04:46:12 UTC
New gpsbabel version 1.7.0 available on:
https://www.gpsbabel.org/download.html#downloading

Many updates to "fit v2" format and should also remove fault present in 1.6 that generates:

"Using QCharRef with an index pointing outside the valid range of a QString. The corresponding behavior is deprecated, and will be changed in a future version of Qt."
Comment 1 Oliver Heesakkers 2020-09-13 01:22:44 UTC
Created attachment 217922 [details]
Proposed patch

Thanks for the headsup.

They've moved from libusb 0.1 to 1.0*, which provided some trouble. The patch-configure can probable be done more cleanly, feel free to do so.

I also removed the zlib-system option to configure, which is no longer a "recognized option" (and may not have been before, but was just ignored).

Build log (GUI OFF):
https://heesakkers.info/showandtell/gpsbabel-1.7.0_GUI_OFF.log

Build log (GUI ON):
https://heesakkers.info/showandtell/gpsbabel-1.7.0_GUI_ON.log

*: https://github.com/gpsbabel/gpsbabel/pull/396
Comment 2 commit-hook freebsd_committer 2020-10-10 07:12:28 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat Oct 10 07:11:47 UTC 2020
New revision: 551858
URL: https://svnweb.freebsd.org/changeset/ports/551858

Log:
  astro/gpsbabel: update to 1.7.0

  PR:	248866
  Submitted by:	Oliver Heesakkers (maintainer)
  Reported by:	Harry Matthiesen Jensen

Changes:
  head/astro/gpsbabel/Makefile
  head/astro/gpsbabel/distinfo
  head/astro/gpsbabel/files/patch-configure
  head/astro/gpsbabel/files/patch-gui_gpsbabel.desktop
  head/astro/gpsbabel/files/patch-jeeps_gpslibusb.cc
Comment 3 Loïc Bartoletti freebsd_committer 2020-10-10 07:16:05 UTC
Committed, thanks!